
%define rel 1

Name:          qtxdg-tools
Version:       3.11.0
Release:       %mkrel %rel
Summary:       Library providing freedesktop.org specs implementations for Qt
License:       LGPLv2+
Group:         System/Libraries
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/qtxdg-tools/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt-build-tools)
BuildRequires: ninja

BuildRequires: cmake(Qt5)
BuildRequires: pkgconfig(Qt5Xdg)
BuildRequires: qtbase5-common-devel

%description
qtxdg-tools contains a CLI MIME tool, qtxdg-mat, for handling file associations
and opening files with their default applications.
It is maintained by the LXQt project and needed by LXQt Session, in order to be
used by xdg-utils. Yet it can be used independently from LXQt, too.

%files
%{_bindir}/qtxdg-mat
%{_datadir}/cmake/qtxdg-tools/qtxdg-tools-config-version.cmake
%{_datadir}/cmake/qtxdg-tools/qtxdg-tools-*.cmake


#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5 -DBUILD_TESTS=off
%cmake_build

%install
%cmake_install



%changelog
* Sun Apr 16 2023 papoteur <papoteur> 3.11.0-1.mga9
+ Revision: 1953120
- new version 3.11.0

* Mon Feb 06 2023 papoteur <papoteur> 3.10.0-2.mga9
+ Revision: 1938745
- rebuild with C++ 17 standard
- rebuild for compilation with C++17 standard

* Mon Nov 07 2022 papoteur <papoteur> 3.10.0-1.mga9
+ Revision: 1904328
- new 3.10.0

* Tue Sep 20 2022 papoteur <papoteur> 3.9.1-1.mga9
+ Revision: 1890726
- imported package qtxdg-tools

